<?
require_once('template.php');
require_once('config.php');
require_once($dbtype . '.php');
require_once('auth.php');
checkInstall();
$main = array();
$main['main_title'] = 'You are not logged in!';
$main['main_content'] = 'Please login.';
$action = 'main';
if (isset($_POST['login_pass'])){
	if ($_POST['login_pass'] == $password){
		$authed = true;
		setcookie('authed', 'true', time() + $cookie_expire);
		$action = 'main';
	} else {
		$main['main_title'] = 'Login Failed!';
	}
}
if (isset($_GET['action'])) {$action = $_GET['action'];}
if (isset($_POST['editor_action'])) {$action = $_POST['editor_action'];}
switch ($action){
	case 'login':
		$main['title'] = 'Login';
		$main['main_content'] = template(array(),'login',$template);
		break;
	case 'main':
		$main['title'] = 'Main';
		$main['main_title'] = 'Welcome';
		$main['main_content'] = 'Please choose a file to edit.';
		break;
	case 'file':
		$name = $_GET['name'];
		$file = getFile($name,$filesdir);
		$vars = array();
		$vars['content'] = $file[0];
		$vars['path'] = $file[1];
		$main['title'] = 'Editor';
		$main['main_title'] = $file[1];
		$main['main_content'] = template($vars,'editor',$template);
		break;
	case 'newfile':
		$main['title'] = 'New File';
		$main['main_title'] = 'Create a new file';
		$main['main_content'] = template(array(),'newfile',$template);
		break;
	case 'edit':
		$main['title'] = 'Main';
		$main['main_title'] = 'Success!';
		if (isset($_POST['editor_delete']) and $_POST['editor_delete'] == 'true'){
			$path = str_replace('\\','/',$_POST['editor_filepath']);
			$name = str_replace(array('/','.'),'_',$path);
			deleteFile($name,$filesdir);
			$main['main_content'] = 'The file was successfully deleted.';
		} else {
			$path = str_replace('\\','/',$_POST['editor_filepath']);
			$content = $_POST['editor_content'];
			$name = str_replace(array('/','.'),'_',$path);
			writeFile($path,$name,$content,$filesdir);
			$main['main_content'] = 'The file was successfully edited.';
		}
		break;
	case 'new':
		$path = str_replace('\\','/',$_POST['editor_filepath']);
		$content = $_POST['editor_content'];
		$name = str_replace(array('/','.'),'_',$path);
		writeFile($path,$name,$content,$filesdir);
		$main['title'] = 'Main';
		$main['main_title'] = 'Success!';
		$main['main_content'] = 'The file was successfully created.';
		break;
	case 'logout':
		setcookie('authed', 'false', 0.0);
		$main['title'] = 'Logout';
		$main['main_title'] = 'Goodbye';
		$main['main_content'] = 'You successfully logged out.';
		$authed = false;
}
if (!$authed) {
	$action = 'login';
	$main['left_content'] = 'Login first...';
	$main['right_content'] = 'Login first...';
	$main['menu'] = '<form action="index.php" method="POST"> <input type="password" name="login_pass" value="password" /> <input type="submit" name="submit" value="Login" /></form>';
} else {
	$main['left_content'] = getFileListTPL($filesdir,$template); // in database script
	$main['right_content'] = getServerListTPL($filesdir,$template); // in database script
	$main['menu'] = '<a href="index.php?action=logout">Logout</a>';
}
$main['footer'] = 'The Web Frontend for GlobalConfigs was written by Ojii.';
echo template($main,'main',$template);
?>